/* DialogCB.c -- This file contains DialogCB(), a general-purpose callback
                 routine for reacting to button presses within dialogs.  */

#include "Global.h"
#include "Dialog.h"

void DialogCB (w, client_data, call_data) 
     Widget	w;		/*  widget id		*/
     XtPointer	client_data;	/*  data from application   */
     XtPointer	call_data;	/*  data from widget class  */
{

  Widget         button;

  int      i;

  switch ((int)client_data)
    {
    case DIALOG_Exit_OK:
      /* Prepare Xt to quit. */
      XtUnmapWidget(topLevel);
      XtDestroyApplicationContext(XtWidgetToApplicationContext(topLevel));

      /* Exit without error. */
      exit(0);
      break;
      
    default:
      /* A client_data was received for which 
	 there is no case setup to handle */
      printf ("Unknown client_data in DialogCB(): %d\n", client_data);
      break;
    }
  
}

